CVE Vulnerabilities

CVE-2004-0713

Published: Jul 27, 2004 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
6.4 MEDIUM
AV:N/AC:L/Au:N/C:N/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

The remove method in a stateful Enterprise JavaBean (EJB) in BEA WebLogic Server and WebLogic Express version 8.1 through SP2, 7.0 through SP4, and 6.1 through SP6, does not properly check EJB permissions before unexporting a bean, which allows remote authenticated users to remove EJB objects from remote views before the security exception is thrown.

Affected Software

Name Vendor Start Version End Version
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 6.1 6.1
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 7.0 7.0
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1
Weblogic_server Bea 8.1 8.1

References